> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vers.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete apiv1vm



## OpenAPI

````yaml /api-reference/openapi.json delete /api/v1/vm/{vm_id}
openapi: 3.1.0
info:
  title: Orchestrator Control Plane API
  description: ''
  license:
    name: ''
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/vm/{vm_id}:
    delete:
      tags:
        - vm
      operationId: delete_vm
      parameters:
        - name: vm_id
          in: path
          description: VM ID to delete
          required: true
          schema:
            type: string
        - name: skip_wait_boot
          in: query
          description: >-
            If true, return an error immediately if the VM is still booting.
            Default: false
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: VM deleted successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VmDeleteResponse'
        '400':
          description: Invalid VM ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: VM not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearer_auth: []
components:
  schemas:
    VmDeleteResponse:
      type: object
      description: Response body for DELETE /api/vm/{vm_id}
      required:
        - vm_id
      properties:
        vm_id:
          type: string
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Reason of error
        success:
          type: boolean
          description: 'Is always: false'
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: Token

````